Index: /branches/version-2_12-dev/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Initial.php	(revision 21441)
+++ /branches/version-2_12-dev/data/class/SC_Initial.php	(revision 21460)
@@ -54,7 +54,7 @@
         $this->defineDSN();                 // requireInitialConfig メソッドより後で実行
         $this->defineDirectoryIndex();
-        $this->defineErrorType();           // XXX 多分、もっと後で大丈夫
-        $this->defineConstants();           // defineDirectoryIndex メソッドより後で実行
-        $this->complementConstants();       // defineConstants メソッドより後で実行
+        $this->defineConstants();
+        $this->defineParameter();           // defineDirectoryIndex メソッドより後で実行
+        $this->complementParameter();       // defineConstants メソッドより後で実行
         $this->phpconfigInit();             // defineConstants メソッドより後で実行
         $this->createCacheDir();            // defineConstants メソッドより後で実行
@@ -169,7 +169,7 @@
 
     /**
-     * 定数を設定する.
-     *
-     * mtb_constants.php を読み込んで定数を設定する.
+     * パラメータを設定する.
+     *
+     * mtb_constants.php を読み込んで定数として定義する.
      * キャッシュディレクトリに存在しない場合は, 初期データからコピーする.
      *
@@ -177,5 +177,5 @@
      * @return void
      */
-    function defineConstants() {
+    function defineParameter() {
 
         $errorMessage
@@ -215,12 +215,10 @@
      *
      * ソースのみ差し替えたバージョンアップを考慮したもの。
-     *
-     * @access protected
-     * @return void
-     */
-    function complementConstants() {
-        // 2.11.1 → 2.11.2
-        /** 郵便番号CSVのZIPアーカイブファイルの取得元 */
-        $this->defineIfNotDefined('ZIP_DOWNLOAD_URL', "http://www.post.japanpost.jp/zipcode/dl/kogaki/zip/ken_all.zip");
+     * $this->defineIfNotDefined() で定義することを想定
+     *
+     * @access protected
+     * @return void
+     */
+    function complementParameter() {
     }
 
@@ -255,10 +253,10 @@
 
     /**
-     * エラー種別を定数定義
-     *
-     * @access protected
-     * @return void
-     */
-    function defineErrorType() {
+     * 定数定義
+     *
+     * @access protected
+     * @return void
+     */
+    function defineConstants() {
         // LC_Page_Error用
         /** 指定商品ページがない */
@@ -306,4 +304,6 @@
         /** DB接続エラー */
         define('DB_CONNECT_ERROR', 22);
+        /** ダウンロードファイル存在エラー */
+        define('DOWNFILE_NOT_FOUND', 22);
         /** フリーメッセージ */
         define('FREE_ERROR_MSG', 999);
@@ -318,4 +318,100 @@
         /** 不正な遷移エラー */
         define('INVALID_MOVE_ERRORR', 4);
+
+        // オーナーズストア通信関連
+        /** オーナーズストア通信ステータス */
+        define('OSTORE_STATUS_ERROR', "ERROR");
+        /** オーナーズストア通信ステータス */
+        define('OSTORE_STATUS_SUCCESS', "SUCCESS");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_UNKNOWN', "1000");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_INVALID_PARAM', "1001");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_NO_CUSTOMER', "1002");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_WRONG_URL_PASS', "1003");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_NO_PRODUCTS', "1004");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_NO_DL_DATA', "1005");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_DL_DATA_OPEN', "1006");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_DLLOG_AUTH', "1007");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_ADMIN_AUTH', "2001");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_HTTP_REQ', "2002");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_HTTP_RESP', "2003");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_FAILED_JSON_PARSE', "2004");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_NO_KEY', "2005");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_INVALID_ACCESS', "2006");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_INVALID_PARAM', "2007");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_AUTOUP_DISABLE', "2008");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_PERMISSION', "2009");
+        /** オーナーズストア通信エラーコード */
+        define('OSTORE_E_C_BATCH_ERR', "2010");
+
+        // プラグイン関連
+        /** プラグインの状態：アップロード済み */
+        define('PLUGIN_STATUS_UPLOADED', "1");
+        /** プラグインの状態：インストール済み */
+        define('PLUGIN_STATUS_INSTALLED', "2");
+        /** プラグイン有効/無効：有効 */
+        define('PLUGIN_ENABLE_TRUE', "1");
+        /** プラグイン有効/無効：無効 */
+        define('PLUGIN_ENABLE_FALSE', "2");
+
+        // CSV入出力関連
+        /** CSV入出力列設定有効無効フラグ: 有効 */
+        define('CSV_COLUMN_STATUS_FLG_ENABLE', 1);
+        /** CSV入出力列設定有効無効フラグ: 無効 */
+        define('CSV_COLUMN_STATUS_FLG_DISABLE', 2);
+        /** CSV入出力列設定読み書きフラグ: 読み書き可能 */
+        define('CSV_COLUMN_RW_FLG_READ_WRITE', 1);
+        /** CSV入出力列設定読み書きフラグ: 読み込みのみ可能 */
+        define('CSV_COLUMN_RW_FLG_READ_ONLY', 2);
+        /** CSV入出力列設定読み書きフラグ: キー列 */
+        define('CSV_COLUMN_RW_FLG_KEY_FIELD', 3);
+
+        // 配置ID
+        /** 配置ID: 未使用 */
+        define('TARGET_ID_UNUSED', 0);
+        /** 配置ID: LeftNavi */
+        define('TARGET_ID_LEFT', 1);
+        /** 配置ID: MainHead */
+        define('TARGET_ID_MAIN_HEAD', 2);
+        /** 配置ID: RightNavi */
+        define('TARGET_ID_RIGHT', 3);
+        /** 配置ID: MainFoot */
+        define('TARGET_ID_MAIN_FOOT', 4);
+        /** 配置ID: TopNavi */
+        define('TARGET_ID_TOP', 5);
+        /** 配置ID: BottomNavi */
+        define('TARGET_ID_BOTTOM', 6);
+        /** 配置ID: HeadNavi */
+        define('TARGET_ID_HEAD', 7);
+        /** 配置ID: HeadTopNavi */
+        define('TARGET_ID_HEAD_TOP', 8);
+        /** 配置ID: FooterBottomNavi */
+        define('TARGET_ID_FOOTER_BOTTOM', 9);
+        /** 配置ID: HeaderInternalNavi */
+        define('TARGET_ID_HEADER_INTERNAL', 10);
+
+        // 他
+        /** アクセス成功 */
+        define('SUCCESS', 0);
+        /** 無制限フラグ： 無制限 */
+        define('UNLIMITED_FLG_UNLIMITED', "1");
+        /** 無制限フラグ： 制限有り */
+        define('UNLIMITED_FLG_LIMITED', "0");
     }
 
Index: /branches/version-2_12-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_12-dev/data/mtb_constants_init.php	(revision 21456)
+++ /branches/version-2_12-dev/data/mtb_constants_init.php	(revision 21460)
@@ -20,6 +20,4 @@
 /** テンプレートファイル一時保存先 */
 define('TEMPLATE_TEMP_REALDIR', HTML_REALDIR . "upload/temp_template/");
-/** プラグインファイル一時保存先 */
-define('PLUGIN_TEMP_REALDIR', HTML_REALDIR . "upload/temp_plugin/");
 /** ユーザー作成画面のデフォルトPHPファイル */
 define('USER_DEF_PHP_REALFILE', USER_REALDIR . "__default.php");
@@ -28,6 +26,4 @@
 /** ダウンロードモジュール保存ディレクトリ */
 define('MODULE_REALDIR', DATA_REALDIR . MODULE_DIR);
-/** アップロード一時ディレクトリ */
-define('DOWNLOADS_TEMP_DIR', DATA_REALDIR . "downloads/tmp/");
 /** DBセッションの有効期限(秒) */
 define('MAX_LIFETIME', 7200);
@@ -204,6 +200,4 @@
 /** ログアウトページ */
 define('ADMIN_LOGOUT_URLPATH', ROOT_URLPATH . ADMIN_DIR . "logout.php");
-/** アクセス成功 */
-define('SUCCESS', 0);
 /** メンバー管理ページ表示行数 */
 define('MEMBER_PMAX', 10);
@@ -373,44 +367,4 @@
 /** オーナーズストアログパス */
 define('OSTORE_LOG_REALFILE', DATA_REALDIR . "logs/ownersstore.log");
-/** オーナーズストア通信ステータス */
-define('OSTORE_STATUS_ERROR', "ERROR");
-/** オーナーズストア通信ステータス */
-define('OSTORE_STATUS_SUCCESS', "SUCCESS");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_UNKNOWN', "1000");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_INVALID_PARAM', "1001");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_NO_CUSTOMER', "1002");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_WRONG_URL_PASS', "1003");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_NO_PRODUCTS', "1004");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_NO_DL_DATA', "1005");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_DL_DATA_OPEN', "1006");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_DLLOG_AUTH', "1007");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_ADMIN_AUTH', "2001");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_HTTP_REQ', "2002");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_HTTP_RESP', "2003");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_FAILED_JSON_PARSE', "2004");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_NO_KEY', "2005");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_INVALID_ACCESS', "2006");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_INVALID_PARAM', "2007");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_AUTOUP_DISABLE', "2008");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_PERMISSION', "2009");
-/** オーナーズストア通信エラーコード */
-define('OSTORE_E_C_BATCH_ERR', "2010");
 /** お気に入り商品登録(有効:1 無効:0) */
 define('OPTION_FAVOFITE_PRODUCT', 1);
@@ -433,4 +387,8 @@
 /** プラグイン・ディレクトリパーミッション */
 define('PLUGIN_DIR_PERMISSION', 0777);
+/** プラグインファイル一時保存先 */
+define('PLUGIN_TEMP_REALDIR', HTML_REALDIR . "upload/temp_plugin/");
+/** アップロード一時ディレクトリ */
+define('DOWNLOADS_TEMP_DIR', DATA_REALDIR . "downloads/tmp/");
 /** プラグイン 外部ファイルURL */
 define('PLUGIN_HTML_URL', USER_URL . PLUGIN_DIR);
@@ -447,6 +405,4 @@
 /** ダウンロードファイル保存先 */
 define('DOWN_SAVE_REALDIR', DATA_REALDIR . "download/save/");
-/** ダウンロードファイル存在エラー */
-define('DOWNFILE_NOT_FOUND', 22);
 /** ダウンロード販売機能 ダウンロードファイル読み込みバイト(KB) */
 define('DOWNLOAD_BLOCK', 1024);
@@ -485,52 +441,8 @@
 /** 端末種別: 管理画面 */
 define('DEVICE_TYPE_ADMIN', 99);
-/** 配置ID: 未使用 */
-define('TARGET_ID_UNUSED', 0);
-/** 配置ID: LeftNavi */
-define('TARGET_ID_LEFT', 1);
-/** 配置ID: MainHead */
-define('TARGET_ID_MAIN_HEAD', 2);
-/** 配置ID: RightNavi */
-define('TARGET_ID_RIGHT', 3);
-/** 配置ID: MainFoot */
-define('TARGET_ID_MAIN_FOOT', 4);
-/** 配置ID: TopNavi */
-define('TARGET_ID_TOP', 5);
-/** 配置ID: BottomNavi */
-define('TARGET_ID_BOTTOM', 6);
-/** 配置ID: HeadNavi */
-define('TARGET_ID_HEAD', 7);
-/** 配置ID: HeadTopNavi */
-define('TARGET_ID_HEAD_TOP', 8);
-/** 配置ID: FooterBottomNavi */
-define('TARGET_ID_FOOTER_BOTTOM', 9);
-/** 配置ID: HeaderInternalNavi */
-define('TARGET_ID_HEADER_INTERNAL', 10);
-/** CSV入出力列設定有効無効フラグ: 有効 */
-define('CSV_COLUMN_STATUS_FLG_ENABLE', 1);
-/** CSV入出力列設定有効無効フラグ: 無効 */
-define('CSV_COLUMN_STATUS_FLG_DISABLE', 2);
-/** CSV入出力列設定読み書きフラグ: 読み書き可能 */
-define('CSV_COLUMN_RW_FLG_READ_WRITE', 1);
-/** CSV入出力列設定読み書きフラグ: 読み込みのみ可能 */
-define('CSV_COLUMN_RW_FLG_READ_ONLY', 2);
-/** CSV入出力列設定読み書きフラグ: キー列 */
-define('CSV_COLUMN_RW_FLG_KEY_FIELD', 3);
-/** 無制限フラグ： 無制限 */
-define('UNLIMITED_FLG_UNLIMITED', "1");
-/** 無制限フラグ： 制限有り */
-define('UNLIMITED_FLG_LIMITED', "0");
 /** EC-CUBE更新情報取得 (true:取得する false:取得しない) */
 define('ECCUBE_INFO', true);
 /** 外部サイトHTTP取得タイムアウト時間(秒) */
 define('HTTP_REQUEST_TIMEOUT', "5");
-/** プラグインの状態：アップロード済み */
-define('PLUGIN_STATUS_UPLOADED', "1");
-/** プラグインの状態：インストール済み */
-define('PLUGIN_STATUS_INSTALLED', "2");
-/** プラグイン有効/無効：有効 */
-define('PLUGIN_ENABLE_TRUE', "1");
-/** プラグイン有効/無効：無効 */
-define('PLUGIN_ENABLE_FALSE', "2");
 /** 郵便番号CSVのZIPアーカイブファイルの取得元 */
 define('ZIP_DOWNLOAD_URL', "http://www.post.japanpost.jp/zipcode/dl/kogaki/zip/ken_all.zip");
Index: /branches/version-2_12-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21456)
+++ /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21460)
@@ -1160,5 +1160,4 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ADMIN_ORDER_MAIL_URLPATH', 'ROOT_URLPATH . ADMIN_DIR . "order/mail.php"', 170, '注文編集ページ');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ADMIN_LOGOUT_URLPATH', 'ROOT_URLPATH . ADMIN_DIR . "logout.php"', 171, 'ログアウトページ');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SUCCESS', '0', 176, 'アクセス成功');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('MEMBER_PMAX', '10', 182, 'メンバー管理ページ表示行数');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SEARCH_PMAX', '10', 183, '検索ページ表示行数');
@@ -1245,24 +1244,4 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_SSLURL', '"https://store.ec-cube.net/"', 501, 'オーナーズストアURL');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_LOG_REALFILE', 'DATA_REALDIR . "logs/ownersstore.log"', 502, 'オーナーズストアログパス');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_STATUS_ERROR', '"ERROR"', 503, 'オーナーズストア通信ステータス');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_STATUS_SUCCESS', '"SUCCESS"', 504, 'オーナーズストア通信ステータス');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_UNKNOWN', '"1000"', 505, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_INVALID_PARAM', '"1001"', 506, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_NO_CUSTOMER', '"1002"', 507, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_WRONG_URL_PASS', '"1003"', 508, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_NO_PRODUCTS', '"1004"', 509, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_NO_DL_DATA', '"1005"', 510, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_DL_DATA_OPEN', '"1006"', 511, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_DLLOG_AUTH', '"1007"', 512, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_ADMIN_AUTH', '"2001"', 513, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_HTTP_REQ', '"2002"', 514, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_HTTP_RESP', '"2003"', 515, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_FAILED_JSON_PARSE', '"2004"', 516, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_NO_KEY', '"2005"', 517, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_INVALID_ACCESS', '"2006"', 518, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_INVALID_PARAM', '"2007"', 519, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_AUTOUP_DISABLE', '"2008"', 520, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_PERMISSION', '"2009"', 521, 'オーナーズストア通信エラーコード');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OSTORE_E_C_BATCH_ERR', '"2010"', 522, 'オーナーズストア通信エラーコード');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('OPTION_FAVOFITE_PRODUCT', '1', 523, 'お気に入り商品登録(有効:1 無効:0)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('IMAGE_RENAME', 'true', 525, '画像リネーム設定 (商品画像のみ) (true:リネームする、false:リネームしない)');
@@ -1284,5 +1263,4 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DOWN_TEMP_REALDIR', 'DATA_REALDIR . "download/temp/"', 704, 'ダウンロードファイル一時保存');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DOWN_SAVE_REALDIR', 'DATA_REALDIR . "download/save/"', 705, 'ダウンロードファイル保存先');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DOWNFILE_NOT_FOUND', '22', 706, 'ダウンロードファイル存在エラー');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DOWNLOAD_BLOCK', '1024', 708, 'ダウンロード販売機能 ダウンロードファイル読み込みバイト(KB)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ORDER_NEW', '1', 800, '新規注文');
@@ -1303,28 +1281,6 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DEVICE_TYPE_PC', '10', 1102, '端末種別: PC');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('DEVICE_TYPE_ADMIN', '99', 1103, '端末種別: 管理画面');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_UNUSED', '0', 1200, '配置ID: 未使用');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_LEFT', '1', 1201, '配置ID: LeftNavi');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_MAIN_HEAD', '2', 1202, '配置ID: MainHead');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_RIGHT', '3', 1203, '配置ID: RightNavi');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_MAIN_FOOT', '4', 1204, '配置ID: MainFoot');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_TOP', '5', 1205, '配置ID: TopNavi');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_BOTTOM', '6', 1206, '配置ID: BottomNavi');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_HEAD', '7', 1207, '配置ID: HeadNavi');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_HEAD_TOP', '8', 1208, '配置ID: HeadTopNavi');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_FOOTER_BOTTOM', '9', 1209, '配置ID: FooterBottomNavi');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TARGET_ID_HEADER_INTERNAL', '10', 1210, '配置ID: HeaderInternalNavi');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('CSV_COLUMN_STATUS_FLG_ENABLE', '1', 1211, 'CSV入出力列設定有効無効フラグ: 有効');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('CSV_COLUMN_STATUS_FLG_DISABLE', '2', 1212, 'CSV入出力列設定有効無効フラグ: 無効');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('CSV_COLUMN_RW_FLG_READ_WRITE', '1', 1213, 'CSV入出力列設定読み書きフラグ: 読み書き可能');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('CSV_COLUMN_RW_FLG_READ_ONLY', '2', 1214, 'CSV入出力列設定読み書きフラグ: 読み込みのみ可能');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('CSV_COLUMN_RW_FLG_KEY_FIELD', '3', 1215, 'CSV入出力列設定読み書きフラグ: キー列');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('UNLIMITED_FLG_UNLIMITED', '"1"', 1216, '無制限フラグ： 無制限');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('UNLIMITED_FLG_LIMITED', '"0"', 1217, '無制限フラグ： 制限有り');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ECCUBE_INFO', 'true', 1218, 'EC-CUBE更新情報取得 (true:取得する false:取得しない)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('HTTP_REQUEST_TIMEOUT', '"5"', 1219, '外部サイトHTTP取得タイムアウト時間(秒)');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('PLUGIN_STATUS_UPLOADED', '"1"', 1220, 'プラグインの状態：アップロード済み');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('PLUGIN_STATUS_INSTALLED', '"2"', 1221, 'プラグインの状態：インストール済み');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('PLUGIN_ENABLE_TRUE', '"1"', 1222, 'プラグイン有効/無効：有効');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('PLUGIN_ENABLE_FALSE', '"2"', 1223, 'プラグイン有効/無効：無効');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ZIP_DOWNLOAD_URL', '"http://www.post.japanpost.jp/zipcode/dl/kogaki/zip/ken_all.zip"', 1224, '郵便番号CSVのZIPアーカイブファイルの取得元');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('HOOK_POINT_PREPROCESS', 'lc_page_preProcess', 1301, 'フックポイント(プレプロセス)');