Index: branches/version-2_12-dev/data/class/SC_Display.php
===================================================================
--- branches/version-2_12-dev/data/class/SC_Display.php	(revision 21546)
+++ branches/version-2_12-dev/data/class/SC_Display.php	(revision 21552)
@@ -75,5 +75,5 @@
         $this->response->setResposeBody($this->view->getResponse($page->getTemplate()));
     }
-    
+
     /**
      * リロードを行う.
Index: branches/version-2_12-dev/data/class/helper/SC_Helper_Plugin.php
===================================================================
--- branches/version-2_12-dev/data/class/helper/SC_Helper_Plugin.php	(revision 21546)
+++ branches/version-2_12-dev/data/class/helper/SC_Helper_Plugin.php	(revision 21552)
@@ -37,5 +37,5 @@
     // HeadNaviブロックの配列
     var $arrHeadNaviBlocsByPlugin = array();
-    
+
     /**
      * 有効なプラグインのロード. プラグインエンジンが有効になっていない場合は
Index: branches/version-2_12-dev/data/class/SC_View.php
===================================================================
--- branches/version-2_12-dev/data/class/SC_View.php	(revision 21546)
+++ branches/version-2_12-dev/data/class/SC_View.php	(revision 21552)
@@ -27,5 +27,5 @@
 
     var $_smarty;
-    
+
     var $objPage;
 
@@ -101,5 +101,5 @@
         return $res;
     }
-    
+
     /**
      * Pageオブジェクトをセットします.
@@ -110,5 +110,5 @@
        $this->objPage = $objPage;
     }
-    
+
     /**
      * Smartyのfilterをセットします. 
@@ -119,5 +119,5 @@
         $this->_smarty->register_outputfilter(array(&$this, 'outputfilter_transforme'));
     }
-    
+
     /**
      * prefilter用のフィルタ関数。プラグイン用のフックポイント処理を実行
@@ -145,5 +145,5 @@
         return $source;
     }
-    
+
     // テンプレートの処理結果を表示
     function display($template, $no_error = false) {
Index: branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 21531)
+++ branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 21552)
@@ -306,15 +306,15 @@
 
         if (!isset($objErr->arrErr['name'])) {
-		// 既存チェック
-		$objDb = new SC_Helper_DB_Ex();
-		if($arrRet['deliv_id'] == ''){
-			$ret = $objDb->sfIsRecord('dtb_deliv', 'service_name', array($arrRet['service_name']));
-		}else{
-			$objQuery = new SC_Query_Ex();
-			$ret = (($objQuery->count('dtb_deliv', 'deliv_id != ? AND service_name = ? ', array($arrRet['deliv_id'], $arrRet['service_name'])) > 0 )? true : false );
-		}
-		if ($ret) {
-			$objErr->arrErr['service_name'] = '※ 同じ名称の組み合わせは登録できません。<br>';
-		}
+            // 既存チェック
+            $objDb = new SC_Helper_DB_Ex();
+            if ($arrRet['deliv_id'] == '') {
+                $ret = $objDb->sfIsRecord('dtb_deliv', 'service_name', array($arrRet['service_name']));
+            } else {
+                $objQuery = new SC_Query_Ex();
+                $ret = (($objQuery->count('dtb_deliv', 'deliv_id != ? AND service_name = ? ', array($arrRet['deliv_id'], $arrRet['service_name'])) > 0 )? true : false);
+            }
+            if ($ret) {
+                $objErr->arrErr['service_name'] = '※ 同じ名称の組み合わせは登録できません。<br>';
+            }
         }
 
Index: branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 21546)
+++ branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 21552)
@@ -234,5 +234,5 @@
         $objFormParam->addParam('plugin_id', 'plugin_id', INT_LEN, '', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('plugin_code', 'plugin_code', MTEXT_LEN, '', array('ALPHA_CHECK', 'MAX_LENGTH_CHECK'));
-        if($mode === "priority"){
+        if ($mode === 'priority') {
             $objFormParam->addParam('優先度', 'priority', INT_LEN, '', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
         }
Index: branches/version-2_12-dev/data/class/util/SC_Utils.php
===================================================================
--- branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21546)
+++ branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21552)
@@ -2177,5 +2177,5 @@
         return $flg;
     }
-    
+
    /**
      * コンパイルファイルを削除します.