Index: branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/mailmagazine_regist.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/mailmagazine_regist.tpl	(revision 21539)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<!--{*
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-*}-->
-
-※本メールは自動配信メールです。
-<!--{$tpl_shopname}-->より、メルマガ購読登録を希望された方にお送りしています。
-もしお心当たりが無い場合は、このままこのメールを破棄していただければメルマガ購読登録はなされません。
-またその旨、<!--{$tpl_infoemail}-->までご連絡いただければ幸いです。
-
-この度は、メルマガ購読依頼をいただきまして、有り難うございます。
-現在は仮登録の状態です。
-完了するには下記URLにアクセスしてください。
-※入力されたお客様の情報はSSL暗号化通信により保護されます。
-
-<!--{$tpl_url}-->
Index: branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/customer_regist_mail.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/customer_regist_mail.tpl	(revision 21539)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<!--{*
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-*}-->
-
-<!--{$name01}--><!--{$name02}--> 様
-
-<!--{$CONF.shop_name}-->でございます。
-
-この度は会員登録依頼をいただきましてまことに有り難うございます。
-
-本会員登録が完了いたしました。
-ショッピングをお楽しみくださいませ。
-
-今後ともどうぞ<!--{$CONF.shop_name}-->をよろしくお願い申し上げます。
Index: branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/customer_mail.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/customer_mail.tpl	(revision 21539)
+++ 	(revision )
@@ -1,38 +1,0 @@
-<!--{*
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-*}-->
-
-※本メールは、
-<!--{$CONF.shop_name}-->より会員登録を希望された方にお送りしています。
-もしお心当たりが無い場合はこのままこのメールを破棄していただければ会員登録はなされません。
-
-<!--{$to_name01}--> <!--{$to_name02}--> 様
-
-<!--{$CONF.shop_name}-->でございます。
-この度は会員登録依頼をいただきまして、有り難うございます。
-現在は仮登録の状態です。
-　　　~~~~~~
-本会員登録を完了するには下記URLにアクセスしてください。
-<!--{$smarty.const.HTTPS_URL}-->regist/<!--{$smarty.const.DIR_INDEX_PATH}-->?mode=regist&id=<!--{$uniqid}--><!--{$etc_value}-->
-
-上記URLにて本会員登録が完了いたしましたら改めてご登録内容ご確認メールをお送り致します。
Index: branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/mailmagazine_cancel.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/mailmagazine_cancel.tpl	(revision 21539)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<!--{*
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-*}-->
-
-※本メールは自動配信メールです。
-<!--{$tpl_shopname}-->より、メルマガ購読解除を希望された方にお送りしています。
-もしお心当たりが無い場合は、このままこのメールを破棄していただければメルマガ購読解除はなされません。
-またその旨、<!--{$tpl_infoemail}-->までご連絡いただければ幸いです。
-
-現在はまだ購読された状態です。
-完了するには下記URLにアクセスしてください。
-※入力されたお客様の情報はSSL暗号化通信により保護されます。
-
-<!--{$tpl_url}-->