Index: /branches/version-2_12-dev/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/create_table_mysql.sql	(revision 21643)
+++ /branches/version-2_12-dev/html/install/sql/create_table_mysql.sql	(revision 21653)
@@ -315,5 +315,5 @@
     price02 numeric NOT NULL,
     deliv_fee numeric,
-    point_rate numeric,
+    point_rate numeric NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
     create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
@@ -500,5 +500,5 @@
     buy_times numeric DEFAULT 0,
     buy_total numeric DEFAULT 0,
-    point numeric DEFAULT 0,
+    point numeric NOT NULL DEFAULT 0,
     note text,
     status smallint NOT NULL DEFAULT 1,
@@ -541,7 +541,7 @@
     deliv_fee numeric,
     charge numeric,
-    use_point numeric,
-    add_point numeric,
-    birth_point numeric DEFAULT 0,
+    use_point numeric NOT NULL DEFAULT 0,
+    add_point numeric NOT NULL DEFAULT 0,
+    birth_point numeric NOT NULL DEFAULT 0,
     tax numeric,
     total numeric,
@@ -598,7 +598,7 @@
     deliv_fee numeric,
     charge numeric,
-    use_point numeric,
-    add_point numeric,
-    birth_point numeric DEFAULT 0,
+    use_point numeric NOT NULL DEFAULT 0,
+    add_point numeric NOT NULL DEFAULT 0,
+    birth_point numeric NOT NULL DEFAULT 0,
     tax numeric,
     total numeric,
@@ -701,5 +701,5 @@
     price numeric,
     quantity numeric,
-    point_rate numeric,
+    point_rate numeric NOT NULL DEFAULT 0,
     PRIMARY KEY (order_detail_id)
 );
@@ -750,6 +750,6 @@
     update_date timestamp NOT NULL,
     php_path text,
+    deletable_flg smallint NOT NULL DEFAULT 1,
     plugin_id int,
-    deletable_flg smallint NOT NULL DEFAULT 1,
     PRIMARY KEY (device_type_id, bloc_id),
     UNIQUE (device_type_id, filename(255))
Index: /branches/version-2_12-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/create_table_pgsql.sql	(revision 21643)
+++ /branches/version-2_12-dev/html/install/sql/create_table_pgsql.sql	(revision 21653)
@@ -315,5 +315,5 @@
     price02 numeric NOT NULL,
     deliv_fee numeric,
-    point_rate numeric,
+    point_rate numeric NOT NULL DEFAULT 0,
     creator_id int NOT NULL,
     create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
@@ -500,5 +500,5 @@
     buy_times numeric DEFAULT 0,
     buy_total numeric DEFAULT 0,
-    point numeric DEFAULT 0,
+    point numeric NOT NULL DEFAULT 0,
     note text,
     status smallint NOT NULL DEFAULT 1,
@@ -541,7 +541,7 @@
     deliv_fee numeric,
     charge numeric,
-    use_point numeric,
-    add_point numeric,
-    birth_point numeric DEFAULT 0,
+    use_point numeric NOT NULL DEFAULT 0,
+    add_point numeric NOT NULL DEFAULT 0,
+    birth_point numeric NOT NULL DEFAULT 0,
     tax numeric,
     total numeric,
@@ -598,7 +598,7 @@
     deliv_fee numeric,
     charge numeric,
-    use_point numeric,
-    add_point numeric,
-    birth_point numeric DEFAULT 0,
+    use_point numeric NOT NULL DEFAULT 0,
+    add_point numeric NOT NULL DEFAULT 0,
+    birth_point numeric NOT NULL DEFAULT 0,
     tax numeric,
     total numeric,
@@ -701,5 +701,5 @@
     price numeric,
     quantity numeric,
-    point_rate numeric,
+    point_rate numeric NOT NULL DEFAULT 0,
     PRIMARY KEY (order_detail_id)
 );
Index: /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 21591)
+++ /branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 21653)
@@ -98,5 +98,5 @@
         switch ($this->getMode()) {
             case 'edit_search':
-                //検索引き継ぎ用パラメーター処理
+                // 検索引き継ぎ用パラメーター処理
                 $this->lfInitSearchParam($objFormSearchParam);
                 $objFormSearchParam->setParam($_REQUEST);
@@ -106,7 +106,7 @@
                     return;
                 }
-                //指定会員の情報をセット
+                // 指定会員の情報をセット
                 $this->arrForm = SC_Helper_Customer_Ex::sfGetCustomerData($objFormSearchParam->getValue('edit_customer_id'), true);
-                //購入履歴情報の取得
+                // 購入履歴情報の取得
                 list($this->tpl_linemax, $this->arrPurchaseHistory, $this->objNavi) = $this->lfPurchaseHistory($objFormSearchParam->getValue('edit_customer_id'));
                 $this->arrPagenavi = $this->objNavi->arrPagenavi;
@@ -115,5 +115,5 @@
                 break;
             case 'confirm':
-                //パラメーター処理
+                // パラメーター処理
                 $this->lfInitParam($objFormParam);
                 $objFormParam->setParam($_POST);
@@ -122,5 +122,5 @@
                 $this->arrErr = $this->lfCheckError($objFormParam);
                 $this->arrForm = $objFormParam->getHashArray();
-                //検索引き継ぎ用パラメーター処理
+                // 検索引き継ぎ用パラメーター処理
                 $this->lfInitSearchParam($objFormSearchParam);
                 $objFormSearchParam->setParam($objFormParam->getValue('search_data'));
@@ -134,5 +134,5 @@
                 break;
             case 'return':
-                //パラメーター処理
+                // パラメーター処理
                 $this->lfInitParam($objFormParam);
                 $objFormParam->setParam($_POST);
@@ -141,5 +141,5 @@
                 $this->arrErr = $this->lfCheckError($objFormParam);
                 $this->arrForm = $objFormParam->getHashArray();
-                //検索引き継ぎ用パラメーター処理
+                // 検索引き継ぎ用パラメーター処理
                 $this->lfInitSearchParam($objFormSearchParam);
                 $objFormSearchParam->setParam($objFormParam->getValue('search_data'));
@@ -149,5 +149,5 @@
                     return;
                 }
-                //購入履歴情報の取得
+                // 購入履歴情報の取得
                 list($this->tpl_linemax, $this->arrPurchaseHistory, $this->objNavi) = $this->lfPurchaseHistory($objFormParam->getValue('customer_id'), $objFormParam->getValue('search_pageno'));
                 $this->arrPagenavi = $this->objNavi->arrPagenavi;
@@ -157,6 +157,6 @@
                 break;
             case 'complete':
-                //登録・保存処理
-                //パラメーター処理
+                // 登録・保存処理
+                // パラメーター処理
                 $this->lfInitParam($objFormParam);
                 $objFormParam->setParam($_POST);
@@ -165,5 +165,5 @@
                 $this->arrErr = $this->lfCheckError($objFormParam);
                 $this->arrForm = $objFormParam->getHashArray();
-                //検索引き継ぎ用パラメーター処理
+                // 検索引き継ぎ用パラメーター処理
                 $this->lfInitSearchParam($objFormSearchParam);
                 $objFormSearchParam->setParam($objFormParam->getValue('search_data'));
@@ -177,7 +177,8 @@
                 break;
             case 'complete_return':
-                //検索引き継ぎ用パラメーター処理
+                // 入力パラメーターチェック
                 $this->lfInitParam($objFormParam);
                 $objFormParam->setParam($_POST);
+                // 検索引き継ぎ用パラメーター処理
                 $this->lfInitSearchParam($objFormSearchParam);
                 $objFormSearchParam->setParam($objFormParam->getValue('search_data'));
@@ -188,4 +189,6 @@
                 }
             default:
+                $this->lfInitParam($objFormParam);
+                $this->arrForm = $objFormParam->getHashArray();
                 break;
         }
@@ -250,5 +253,5 @@
         $arrErr = SC_Helper_Customer_Ex::sfCustomerMypageErrorCheck($objFormParam, true);
 
-        //メアド重複チェック(共通ルーチンは使えない)
+        // メアド重複チェック(共通ルーチンは使えない)
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
         $col = 'email, email_mobile, customer_id';
@@ -324,5 +327,5 @@
         $where = 'customer_id = ? AND del_flg <> 1';
         $arrVal = array($customer_id);
-        //購入履歴の件数取得
+        // 購入履歴の件数取得
         $linemax = $objQuery->count($table, $where, $arrVal);
         // ページ送りの取得
@@ -333,5 +336,5 @@
         $order = 'order_id DESC';
         $objQuery->setOrder($order);
-        //購入履歴情報の取得
+        // 購入履歴情報の取得
         $arrPurchaseHistory = $objQuery->select('*', $table, $where, $arrVal);
 
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 21592)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 21653)
@@ -338,5 +338,5 @@
         $objFormParam->addParam('支払い合計', 'payment_total');
         $objFormParam->addParam('加算ポイント', 'add_point');
-        $objFormParam->addParam('お誕生日ポイント', 'birth_point');
+        $objFormParam->addParam('お誕生日ポイント', 'birth_point', null, 'n', array(), 0);
         $objFormParam->addParam('消費税合計', 'tax');
         $objFormParam->addParam('最終保持ポイント', 'total_point');
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php	(revision 21528)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php	(revision 21653)
@@ -320,5 +320,5 @@
             $objFormParam->addParam('会員状態', 'status', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
             $objFormParam->addParam('SHOP用メモ', 'note', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
-            $objFormParam->addParam('所持ポイント', 'point', INT_LEN, 'n', array('NUM_CHECK'));
+            $objFormParam->addParam('所持ポイント', 'point', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK'), 0);
         }
 
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/customer/edit.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/customer/edit.tpl	(revision 21539)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/customer/edit.tpl	(revision 21653)
@@ -235,5 +235,5 @@
             </tr>
             <tr>
-                <th>所持ポイント</th>
+                <th>所持ポイント<span class="attention"> *</span></th>
                 <td>
                     <span class="attention"><!--{$arrErr.point}--></span>