Index: /branches/version-2_12-dev/data/class/SC_Query.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Query.php	(revision 21651)
+++ /branches/version-2_12-dev/data/class/SC_Query.php	(revision 21677)
@@ -470,19 +470,18 @@
      *
      * @param string $table テーブル名
-     * @param array $sqlval array('カラム名' => '値', ...)の連想配列
+     * @param array $arrVal array('カラム名' => '値', ...)の連想配列
      * @param array $arrSql array('カラム名' => 'SQL文', ...)の連想配列
      * @param array $arrSqlVal SQL文の中で使用するプレースホルダ配列
      * @param string $from FROM 句・WHERE 句
      * @param string $arrFromVal FROM 句・WHERE 句で使用するプレースホルダ配列
-     * @return integer|DB_Error 挿入件数またはDB_Error
-     */
-    function insert($table, $sqlval, $arrSql = array(), $arrSqlVal = array(), $from = '', $arrFromVal = array()) {
+     * @return integer|DB_Error|boolean 挿入件数またはエラー(DB_Error, false)
+     */
+    function insert($table, $arrVal, $arrSql = array(), $arrSqlVal = array(), $from = '', $arrFromVal = array()) {
         $strcol = '';
         $strval = '';
         $find = false;
-        $arrVal = array();
-
-        if(count($sqlval) <= 0) return false;
-        foreach ($sqlval as $key => $val) {
+        $arrValForQuery = array();
+
+        foreach ($arrVal as $key => $val) {
             $strcol .= $key . ',';
             if (strcasecmp('Now()', $val) === 0) {
@@ -492,5 +491,5 @@
             } else {
                 $strval .= '?,';
-                $arrVal[] = $val;
+                $arrValForQuery[] = $val;
             }
             $find = true;
@@ -500,7 +499,8 @@
             $strcol .= $key . ',';
             $strval .= $val . ',';
-        }
-
-        $arrVal = array_merge($arrVal, $arrSqlVal);
+            $find = true;
+        }
+
+        $arrValForQuery = array_merge($arrValForQuery, $arrSqlVal);
 
         if (!$find) {
@@ -514,9 +514,9 @@
         if (strlen($from) >= 1) {
             $sqlin .= ' ' . $from;
-            $arrVal = array_merge($arrVal, $arrFromVal);
+            $arrValForQuery = array_merge($arrValForQuery, $arrFromVal);
         }
 
         // INSERT文の実行
-        $ret = $this->query($sqlin, $arrVal, false, null, MDB2_PREPARE_MANIP);
+        $ret = $this->query($sqlin, $arrValForQuery, false, null, MDB2_PREPARE_MANIP);
 
         return $ret;
@@ -527,5 +527,5 @@
      *
      * @param string $table テーブル名
-     * @param array $sqlval array('カラム名' => '値', ...)の連想配列
+     * @param array $arrVal array('カラム名' => '値', ...)の連想配列
      * @param string $where WHERE句
      * @param array $arrWhereVal WHERE句用のプレースホルダ配列 (従来は追加カラム用も兼ねていた)
@@ -534,10 +534,10 @@
      * @return
      */
-    function update($table, $sqlval, $where = '', $arrWhereVal = array(), $arrRawSql = array(), $arrRawSqlVal = array()) {
+    function update($table, $arrVal, $where = '', $arrWhereVal = array(), $arrRawSql = array(), $arrRawSqlVal = array()) {
         $arrCol = array();
-        $arrVal = array();
+        $arrValForQuery = array();
         $find = false;
 
-        foreach ($sqlval as $key => $val) {
+        foreach ($arrVal as $key => $val) {
             if (strcasecmp('Now()', $val) === 0) {
                 $arrCol[] = $key . '= Now()';
@@ -546,5 +546,5 @@
             } else {
                 $arrCol[] = $key . '= ?';
-                $arrVal[] = $val;
+                $arrValForQuery[] = $val;
             }
             $find = true;
@@ -557,5 +557,5 @@
         }
 
-        $arrVal = array_merge($arrVal, $arrRawSqlVal);
+        $arrValForQuery = array_merge($arrValForQuery, $arrRawSqlVal);
 
         if (empty($arrCol)) {
@@ -568,5 +568,5 @@
         if (is_array($arrWhereVal)) { // 旧版との互換用
             // プレースホルダー用に配列を追加
-            $arrVal = array_merge($arrVal, $arrWhereVal);
+            $arrValForQuery = array_merge($arrValForQuery, $arrWhereVal);
         }
 
@@ -577,5 +577,5 @@
 
         // UPDATE文の実行
-        return $this->query($sqlup, $arrVal, false, null, MDB2_PREPARE_MANIP);
+        return $this->query($sqlup, $arrValForQuery, false, null, MDB2_PREPARE_MANIP);
     }
 