Index: /branches/version-2_12-dev/html/admin/load_plugin_config.php
===================================================================
--- /branches/version-2_12-dev/html/admin/load_plugin_config.php	(revision 21671)
+++ /branches/version-2_12-dev/html/admin/load_plugin_config.php	(revision 21681)
@@ -40,6 +40,5 @@
 
     GC_Utils::gfPrintLog('loading plugin ====> plugin_id = ' . $plugin_id);
-    $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance(false);
-    $plugin = $objPlugin->getPluginByPluginId($plugin_id);
+    $plugin = SC_Plugin_Util_Ex::getPluginByPluginId($plugin_id);
     
     if (isset($plugin['plugin_code'])) {
Index: /branches/version-2_12-dev/data/class_extends/plugin_extends/SC_Plugin_Util_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/plugin_extends/SC_Plugin_Util_Ex.php	(revision 21681)
+++ /branches/version-2_12-dev/data/class_extends/plugin_extends/SC_Plugin_Util_Ex.php	(revision 21681)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'plugin/SC_Plugin_Util.php';
+
+class SC_Plugin_Util_Ex extends SC_Plugin_Util {
+}
Index: /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 21670)
+++ /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 21681)
@@ -99,5 +99,5 @@
                 if ($this->isError($this->arrErr) === false) {
                     $plugin_id = $objFormParam->getValue('plugin_id');
-                    $plugin = SC_Helper_Plugin_Ex::getPluginByPluginId($plugin_id);
+                    $plugin = SC_Plugin_Util_Ex::getPluginByPluginId($plugin_id);
                     $this->arrErr = $this->uninstallPlugin($plugin);
                     if ($this->isError($this->arrErr) === false) {
@@ -116,5 +116,5 @@
                     $plugin_id = $objFormParam->getValue('plugin_id');
                     // プラグイン取得.
-                    $plugin = SC_Helper_Plugin_Ex::getPluginByPluginId($plugin_id);
+                    $plugin = SC_Plugin_Util_Ex::getPluginByPluginId($plugin_id);
                     $this->arrErr = $this->enablePlugin($plugin);                    
                     if ($this->isError($this->arrErr) === false) {
@@ -132,6 +132,6 @@
                     $plugin_id = $objFormParam->getValue('plugin_id');
                     // プラグイン取得.
-                    $plugin = SC_Helper_Plugin_Ex::getPluginByPluginId($plugin_id);
-                    $this->arrErr = $this->disablePlugin($plugin);                    
+                    $plugin = SC_Plugin_Util_Ex::getPluginByPluginId($plugin_id);
+                    $this->arrErr = $this->disablePlugin($plugin);
                     if ($this->isError($this->arrErr) === false) {
                         // コンパイルファイルのクリア処理
@@ -153,5 +153,5 @@
                         $update_plugin_file_name = $update_plugin_file['name']; // アップデートファイルのファイル名.
                         // インストール処理.
-                        $target_plugin = SC_Helper_Plugin_Ex::getPluginByPluginCode($target_plugin_code);
+                        $target_plugin = SC_Plugin_Util_Ex::getPluginByPluginCode($target_plugin_code);
                         $this->arrErr = $this->updatePlugin($target_plugin, $update_plugin_file_name, $target_plugin_code);
                         if ($this->isError($this->arrErr) === false) {
@@ -183,7 +183,6 @@
                 break;
         }
-
         // DBからプラグイン情報を取得
-        $plugins = SC_Helper_Plugin_Ex::getAllPlugin();
+        $plugins = SC_Plugin_Util_Ex::getAllPlugin();
 
         foreach ($plugins as $key => $plugin) {
@@ -260,5 +259,5 @@
      */
     function isInstalledPlugin($plugin_code) {
-        $plugin = SC_Helper_Plugin_Ex::getPluginByPluginCode($plugin_code);
+        $plugin = SC_Plugin_Util_Ex::getPluginByPluginCode($plugin_code);
         if (!empty($plugin)) {
             return true;
@@ -374,5 +373,5 @@
 
         // プラグイン情報を取得
-        $plugin = SC_Helper_Plugin_Ex::getPluginByPluginCode($plugin_code);
+        $plugin = SC_Plugin_Util_Ex::getPluginByPluginCode($plugin_code);
 
         // クラスファイルを読み込み.
@@ -410,5 +409,5 @@
         SC_Utils_Ex::deleteFile($temp_dir, false);
         // DBからプラグイン情報を削除
-        if(empty($plugin_id) === false) SC_Helper_Plugin_Ex::deletePluginByPluginId($plugin_id);
+        if(empty($plugin_id) === false) SC_Plugin_Util_Ex::deletePluginByPluginId($plugin_id);
         // htmlディレクトリを削除
         if(empty($plugin_html_dir) === false) SC_Utils_Ex::deleteFile($plugin_html_dir, true);
Index: /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Util.php
===================================================================
--- /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Util.php	(revision 21681)
+++ /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Util.php	(revision 21681)
@@ -0,0 +1,126 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// 棒グラフ生成クラス
+class SC_Plugin_Util {
+    
+    
+    
+    /**
+     * 稼働中のプラグインを取得する。
+     */
+    function getEnablePlugin() {
+        $objQuery = new SC_Query_Ex();
+        $col = '*';
+        $table = 'dtb_plugin';
+        $where = 'enable = 1';
+        // XXX 2.11.0 互換のため
+        $arrCols = $objQuery->listTableFields($table);
+        if (in_array('priority', $arrCols)) {
+            $objQuery->setOrder('priority DESC, plugin_id ASC');
+        }
+        $arrRet = $objQuery->select($col,$table,$where);
+        return $arrRet;
+    }
+
+    /**
+     * インストールされているプラグインを取得する。
+     * 
+     * @return array $arrRet インストールされているプラグイン.
+     */
+    function getAllPlugin() {
+        $objQuery = new SC_Query_Ex();
+        $col = '*';
+        $table = 'dtb_plugin';
+        // XXX 2.11.0 互換のため
+        $arrCols = $objQuery->listTableFields($table);
+        if (in_array('priority', $arrCols)) {
+            $objQuery->setOrder('plugin_id ASC');
+        }
+        $arrRet = $objQuery->select($col,$table);
+        return $arrRet;
+    }
+
+    /**
+     * プラグインIDをキーにプラグインを取得する。
+     * 
+     * @param int $plugin_id プラグインID.
+     * @return array プラグインの基本情報.
+     */
+    function getPluginByPluginId($plugin_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $col = '*';
+        $table = 'dtb_plugin';
+        $where = 'plugin_id = ?';
+        $plugin = $objQuery->getRow($col, $table, $where, array($plugin_id));
+        return $plugin;
+    }
+    
+    
+    /**
+     * プラグインコードをキーにプラグインを取得する。
+     * 
+     * @param string $plugin_code プラグインコード.
+     * @return array プラグインの基本情報.
+     */
+    function getPluginByPluginCode($plugin_code) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $col = '*';
+        $table = 'dtb_plugin';
+        $where = 'plugin_code = ?';
+        $plugin = $objQuery->getRow($col, $table, $where, array($plugin_code));
+        return $plugin;
+    }
+
+    /**
+     * プラグインIDをキーにプラグインを削除する。
+     * 
+     * @param string $plugin_id プラグインID.
+     * @return array プラグインの基本情報.
+     */
+    function deletePluginByPluginId($plugin_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery->begin();
+        $where = 'plugin_id = ?';
+        $objQuery->delete('dtb_plugin', $where, array($plugin_id));
+        $objQuery->delete('dtb_plugin_hookpoint', $where, array($plugin_id));
+    }
+
+    /**
+     * プラグインディレクトリの取得
+     *
+     * @return array $arrPluginDirectory
+     */
+    function getPluginDirectory() {
+        $arrPluginDirectory = array();
+        if (is_dir(PLUGIN_UPLOAD_REALDIR)) {
+            if ($dh = opendir(PLUGIN_UPLOAD_REALDIR)) {
+                while (($pluginDirectory = readdir($dh)) !== false) {
+                    $arrPluginDirectory[] = $pluginDirectory;
+                }
+                closedir($dh);
+            }
+        }
+        return $arrPluginDirectory;
+    }
+}
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Plugin.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Plugin.php	(revision 21672)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Plugin.php	(revision 21681)
@@ -50,8 +50,7 @@
         if ($plugin_activate_flg === false) return;
         // 有効なプラグインを取得
-        $arrPluginDataList = $this->getEnablePlugin();
+        $arrPluginDataList = SC_Plugin_Util_Ex::getEnablePlugin();
         // pluginディレクトリを取得
-        $arrPluginDirectory = $this->getPluginDirectory();
-
+        $arrPluginDirectory = SC_Plugin_Util_Ex::getPluginDirectory();
         foreach ($arrPluginDataList as $arrPluginData) {
             // プラグイン本体ファイル名が取得したプラグインディレクトリ一覧にある事を確認
@@ -112,101 +111,4 @@
             }
         }
-    }
-
-    /**
-     * 稼働中のプラグインを取得する。
-     */
-    function getEnablePlugin() {
-        $objQuery = new SC_Query_Ex();
-        $col = '*';
-        $table = 'dtb_plugin';
-        $where = 'enable = 1';
-        // XXX 2.11.0 互換のため
-        $arrCols = $objQuery->listTableFields($table);
-        if (in_array('priority', $arrCols)) {
-            $objQuery->setOrder('priority DESC, plugin_id ASC');
-        }
-        $arrRet = $objQuery->select($col,$table,$where);
-        return $arrRet;
-    }
-
-    /**
-     * インストールされているプラグインを取得する。
-     * 
-     * @return array $arrRet インストールされているプラグイン.
-     */
-    function getAllPlugin() {
-        $objQuery = new SC_Query_Ex();
-        $col = '*';
-        $table = 'dtb_plugin';
-        // XXX 2.11.0 互換のため
-        $arrCols = $objQuery->listTableFields($table);
-        if (in_array('priority', $arrCols)) {
-            $objQuery->setOrder('plugin_id ASC');
-        }
-        $arrRet = $objQuery->select($col,$table);
-        return $arrRet;
-    }
-
-    /**
-     * プラグインIDをキーにプラグインを取得する。
-     * 
-     * @param int $plugin_id プラグインID.
-     * @return array プラグインの基本情報.
-     */
-    function getPluginByPluginId($plugin_id) {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $col = '*';
-        $table = 'dtb_plugin';
-        $where = 'plugin_id = ?';
-        $plugin = $objQuery->getRow($col, $table, $where, array($plugin_id));
-        return $plugin;
-    }
-
-    /**
-     * プラグインコードをキーにプラグインを取得する。
-     * 
-     * @param string $plugin_code プラグインコード.
-     * @return array プラグインの基本情報.
-     */
-    function getPluginByPluginCode($plugin_code) {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $col = '*';
-        $table = 'dtb_plugin';
-        $where = 'plugin_code = ?';
-        $plugin = $objQuery->getRow($col, $table, $where, array($plugin_code));
-        return $plugin;
-    }
-
-    /**
-     * プラグインIDをキーにプラグインを削除する。
-     * 
-     * @param string $plugin_id プラグインID.
-     * @return array プラグインの基本情報.
-     */
-    function deletePluginByPluginId($plugin_id) {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $objQuery->begin();
-        $where = 'plugin_id = ?';
-        $objQuery->delete('dtb_plugin', $where, array($plugin_id));
-        $objQuery->delete('dtb_plugin_hookpoint', $where, array($plugin_id));
-    }
-
-    /**
-     * プラグインディレクトリの取得
-     *
-     * @return array $arrPluginDirectory
-     */
-    function getPluginDirectory() {
-        $arrPluginDirectory = array();
-        if (is_dir(PLUGIN_UPLOAD_REALDIR)) {
-            if ($dh = opendir(PLUGIN_UPLOAD_REALDIR)) {
-                while (($pluginDirectory = readdir($dh)) !== false) {
-                    $arrPluginDirectory[] = $pluginDirectory;
-                }
-                closedir($dh);
-            }
-        }
-        return $arrPluginDirectory;
     }
 