Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/products/review_confirm.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/products/review_confirm.tpl	(revision 21533)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/products/review_confirm.tpl	(revision 21682)
@@ -63,7 +63,9 @@
             </tr>
         </table>
-        <div class="btn">
-            <input type="image" onclick=" mode.value='return';" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_back_on.gif',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_back.gif',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_back.gif" class="box150" alt="戻る"    name="back" id="back" />
-            <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_send_on.gif',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_send.gif',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_send.gif" class="box150" alt="送信"    name="send" id="send" />
+        <div class="btn_area">
+            <ul class="btn_btm">
+                <li><input type="submit" value="完了ページへ" class="btn data-role-none" alt="完了ページへ" name="complete" id="complete" /></li>
+                <li><a class="btn_back" href="Javascript:fnModeSubmit('return', '', '');" rel="external">戻る</a></li>
+            </ul>
         </div>
     </form>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/products/review.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/products/review.tpl	(revision 21533)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/products/review.tpl	(revision 21682)
@@ -40,9 +40,9 @@
             <tr>
                 <th>投稿者名<span class="attention">※</span></th>
-                <td><span class="attention"><!--{$arrErr.reviewer_name}--></span><input type="text" name="reviewer_name" value="<!--{$arrForm.reviewer_name|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.reviewer_name|sfGetErrorColor}-->" size="40" class="box350" /></td>
+                <td><span class="attention"><!--{$arrErr.reviewer_name}--></span><input type="text" name="reviewer_name" value="<!--{$arrForm.reviewer_name|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" class="boxHarf text data-role-none" placeholder="投稿者名" style="<!--{$arrErr.reviewer_name|sfGetErrorColor}-->" /></td>
             </tr>
             <tr>
                 <th>投稿者URL</th>
-                <td><span class="attention"><!--{$arrErr.reviewer_url}--></span><input type="text" name="reviewer_url" value="<!--{$arrForm.reviewer_url|h}-->" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" style="<!--{$arrErr.reviewer_url|sfGetErrorColor}-->" size="40" class="box350" /></td>
+                <td><span class="attention"><!--{$arrErr.reviewer_url}--></span><input type="text" name="reviewer_url" value="<!--{$arrForm.reviewer_url|h}-->" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" class="boxHarf text data-role-none"  placeholder="投稿者URL" style="<!--{$arrErr.reviewer_url|sfGetErrorColor}-->" /></td>
             </tr>
             <tr>
@@ -67,5 +67,5 @@
                 <td>
                     <span class="attention"><!--{$arrErr.title}--></span>
-                    <input type="text" name="title" value="<!--{$arrForm.title|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.title|sfGetErrorColor}-->" size="40" class="box350" />
+                    <input type="text" name="title" value="<!--{$arrForm.title|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" class="boxHarf text data-role-none" placeholder="タイトル" style="<!--{$arrErr.title|sfGetErrorColor}-->" />
                 </td>
             </tr>
@@ -74,11 +74,11 @@
                 <td>
                     <span class="attention"><!--{$arrErr.comment}--></span>
-                    <textarea name="comment" cols="50" rows="10" style="<!--{$arrErr.comment|sfGetErrorColor}-->" class="area350"><!--{$arrForm.comment|h}--></textarea>
+                    <textarea name="comment" cols="15" rows="10" style="<!--{$arrErr.comment|sfGetErrorColor}-->" class="textarea data-role-none" wrap="hard"><!--{$arrForm.comment|h}--></textarea>
                 </td>
             </tr>
         </table>
-        <div class="btn">
-            <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm_on.gif',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_confirm.gif',this)" src="<!--{$TPL_URLPATH}-->img/button/btn_confirm.gif" class="box150" alt="確認ページへ" name="conf" id="conf" />
-        </div>
+        <div class="btn_area">
+                <p><input type="submit" value="次へ" class="btn data-role-none" alt="次へ" name="next" id="next" /></p>
+            </div>
     </form>
 </div>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/products/detail.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 21682)
@@ -55,4 +55,16 @@
             $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_minus.png");
             stateSub = 0
+        }
+    }
+    //この商品に対するお客様の声エリアの表示/非表示
+    var stateReview = 0;
+    function fnReviewToggle(areaEl, imgEl) {
+        areaEl.slideToggle(speed);
+        if (stateReview == 0) {
+            $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_plus.png");
+            stateReview = 1;
+        } else {
+            $(imgEl).attr("src", "<!--{$TPL_URLPATH}-->img/button/btn_minus.png");
+            stateReview = 0
         }
     }
@@ -336,4 +348,36 @@
     <!--サブエリアここまで-->
 
+    <!--この商品に対するお客様の声-->
+    <div class="title_box_sub clearfix">
+        <h2>この商品に対するお客様の声</h2>
+            <span class="b_expand"><img src="<!--{$TPL_URLPATH}-->img/button/btn_minus.png" onclick="fnReviewToggle($('#review_bloc_area'), this);" alt=""></span>
+        </div>
+
+        <div id="review_bloc_area">
+            <div class="review_bloc clearfix">
+            <p>この商品に対するご感想をぜひお寄せください。</p>
+            <div class="review_btn">
+                <!--{if count($arrReview) < $smarty.const.REVIEW_REGIST_MAX}-->
+                    <!--★新規コメントを書き込む★-->
+                    <a href="./review.php?product_id=<!--{$arrProduct.product_id}-->" target="_blank" class="btn_sub" />新規コメントを書き込む</a>
+                <!--{/if}-->
+            </div>
+            </div>
+
+            <!--{if count($arrReview) > 0}-->
+            <ul>
+                <!--{section name=cnt loop=$arrReview}-->
+                    <li>
+                        <p class="voicetitle"><!--{$arrReview[cnt].title|h}--></p>
+                        <p class="voicedate"><!--{$arrReview[cnt].create_date|sfDispDBDate:false}-->　投稿者：<!--{if $arrReview[cnt].reviewer_url}--><a href="<!--{$arrReview[cnt].reviewer_url}-->" target="_blank"><!--{$arrReview[cnt].reviewer_name|h}--></a><!--{else}--><!--{$arrReview[cnt].reviewer_name|h}--><!--{/if}--><br />おすすめレベル：<span class="recommend_level"><!--{assign var=level value=$arrReview[cnt].recommend_level}--><!--{$arrRECOMMEND[$level]|h}--></span></p>
+                        <p class="voicecomment"><!--{$arrReview[cnt].comment|h|nl2br}--></p>
+                    </li>
+                <!--{/section}-->
+            </ul>
+            <!--{/if}-->
+        </div>
+    </div>
+    <!--お客様の声ここまで-->
+
 
     <!--▼その他おすすめ商品-->
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/products/review_complete.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/products/review_complete.tpl	(revision 21533)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/products/review_complete.tpl	(revision 21682)
@@ -30,7 +30,9 @@
             今しばらくお待ちくださいませ。</p>
     </div>
-    <div class="btn">
-        <a href="javascript:window.close()" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_close_on.gif','b_close');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_close.gif','b_close');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_close.gif" width="150" height="30" alt="閉じる" border="0" name="b_close" /></a>
-    </div>
+    <div class="btn_area">
+            <ul class="btn_btm">
+                <li><a class="btn_back" href="javascript:window.close();" rel="external">閉じる</a></li>
+            </ul>
+        </div>
 </div>
 